// ##########################################################################
// ####                                                                  ####
// ####                      RTP Audio Server Project                    ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### Audio Null                                                       ####
// ####                                                                  ####
// #### Version 1.00  --  February 23, 2001                              ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn, Abt. IV                    ####
// ####               2001  EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                                                                  ####
// ##########################################################################


#include <iostream.h>
#include <sys/time.h>


#include "system.h"
#include "audionull.h"
#include "tools.h"


namespace Coral {


// ###### Constructor #######################################################
AudioNull::AudioNull()
   : AudioQuality(44100,16,2)
{
}


// ###### Destructor ########################################################
AudioNull::~AudioNull()
{
}


// ###### Check, if spectrum analyzer is ready ##############################
bool AudioNull::ready() const
{
   return(true);
}


// ###### Reset #############################################################
void AudioNull::sync()
{
}


// ###### Write data to spectrum analyzer ###################################
bool AudioNull::write(const void* data, const size_t length)
{
   return(true);
}


}
