#include "system.h"
#include "internetaddress.h"
#include "unixaddress.h"
#include "socket.h"
#include "strings.h"

#include <sys/utsname.h>



using namespace RTPAudio;


int main(int argc, char** argv)
{
   InternetAddress s1("ipv6-odin:9999");
   InternetAddress s2("ipv6-phoenix:7466");
   InternetAddress s3("odin:9999");
   InternetAddress s4("[ipv6-odin]:10");
   InternetAddress s5("localhost:600 ([::3]:20)");
   InternetAddress s6("::1:0");
   InternetAddress s7("[ipv6-phoenix]:test");
   UnixAddress     u1("/tmp/test.sock");

   cout << "S1 = " << s1 << endl;
   cout << "S2 = " << s2 << endl;
   cout << "S3 = " << s3 << endl;
   cout << "S4 = " << s4 << endl;
   cout << "S5 = " << s5 << endl;
   cout << "S6 = " << s6 << endl;
   cout << "S7 = " << s7 << endl;
   cout << "U1 = " << u1 << endl;


/*
   utsname buf;
   uname(&buf);
   printf("%s.%s\n",&buf.sysname,&buf.nodename);

   char host[100];
   if(gethostname((char*)&host,100) == -1) {
      host[0] = 0x00;
   }

   char domain[100];
   if(getdomainname((char*)&domain,100) == -1) {
      domain[0] = 0x00;
   }

   char user[100];
   if(cuserid((char*)&user) == NULL) {
      strcpy((char*)&user,"?");
   }

   char cname[300];
   sprintf((char*)&cname,"%s@%s",user,host);
   if(domain[0] != 0x00) {
      strcat((char*)&cname,".");
      strcat((char*)&cname,domain);
   }

   printf("<%s>\n",cname);
*/
}
