import java.io.*;
import mpi_graphics.*;

public class Main_job
{
  public static void main(String[] args) throws Exception
  {
    mpi_graphics.PM_Anim_Bonn       beispiel = null;
    bonn.infoIV.v3d2.rtp.RTPSession session  = null;
    try
    {
      session = new bonn.infoIV.v3d2.rtp.RTPSession(java.net.InetAddress.getByName(args[1]),
                                                    Integer.valueOf(args[2]).intValue(), 
                                                    Integer.valueOf(args[0]).intValue());
    }
    catch(java.net.UnknownHostException e)
    {
      System.err.println("[Error]: The given Hostname is no Host: " +e.getMessage());
      System.exit(0);
    }
    catch(java.net.SocketException s)
    {
      System.err.println("[Error]: There was an SocketException: " +s.getMessage());
      System.exit(0);
    }

    beispiel = new PM_Anim_Bonn(session);
    session.startSession(beispiel);
    beispiel.start();
  }
}
