package mpi_graphics;

import java.io.*;
import bonn.infoIV.v3d2.buffer.SyncBuffer3D;//STAVROS

public class Binary_Sequentiel_Loader_PM_Compact extends Binary_Sequentiel_Loader_PM_Bonn
{
// ************************************************************************************
// read_PM_header_compact_new_fake Dies nur solange der Server den neuen Header nicht lesen kann! 
// ************************************************************************************
    public int readPMHeaderCompactNew(PM_Info info_max, Mesh_Info info_base, int id)//STAVROS
    {	
	int pm_number;
	
        int[] maxValues = ((SyncBuffer3D)MySyncBuffer_).getMaxInfo(id);
	// Lese Header
	pm_number = 246;
	info_max.set_vertex_count(maxValues[0]);
	info_max.set_triangle_count(maxValues[1]);
	info_base.set_vertex_count(maxValues[2]);
	info_base.set_triangle_count(maxValues[3]);
	info_max.set_vertex_split_count(maxValues[4]);
	//System.out.println(pm_number);
	return(pm_number);
    }
    
// ************************************************************************************
// read_PM_header_compact_new
// ************************************************************************************
    public int read_PM_header_compact_new(PM_Info info_max, Mesh_Info info_base) throws IOException
    {	
	int pm_number;
	
	// PM-Datei?
	st=Sdis_.readUTF();
	if (st.compareToIgnoreCase("#PMESH-C VERSION 1.0")!=0)
	    Global.Error_Occured("PM-C-Kennung NICHT gefunden!!!");

	// Lese Header
	pm_number=Sdis_.readInt();
	info_max.set_vertex_count(Sdis_.readInt());
	info_max.set_triangle_count(Sdis_.readInt());
	info_base.set_vertex_count(Sdis_.readInt());
	info_base.set_triangle_count(Sdis_.readInt());
	info_max.set_vertex_split_count(Sdis_.readInt());
	//System.out.println(pm_number);
	return(pm_number);
    }
    
// ************************************************************************************
// read_PM_header_compact
// ************************************************************************************
    public int read_PM_header_compact() throws IOException
    {	
	int pm_number;
	
	// PM-Datei?
	st=Sdis_.readUTF();
	if (st.compareToIgnoreCase("#PMESH-C")!=0)
	    Global.Error_Occured("PM-C-Kennung NICHT gefunden!!!");

	// Lese Header
	pm_number=Sdis_.readInt();
	//System.out.println(pm_number);
	return(pm_number);
    }
    
// ************************************************************************************
// copy_remaining
// ************************************************************************************
    public void copy_remaining(DataOutputStream out) throws IOException
    {	
	byte[] b = new byte[4000];
	int b_read=0;
	
	do
	{
	    b_read=Sdis_.read(b);
	    if (b_read==-1)
		break;
	    out.write(b,0,b_read);
	}while(true);
    }
}





