package mpi_graphics;

public class Modify_Status_Anim_Bonn
{
    protected Status_Anim_Bonn Status_ = new Status_Anim_Bonn();
        
// ************************************************************************************
// in_callback_function
// ************************************************************************************
    public synchronized void in_callback_function(Status_Anim_Bonn status_copy)
    {
	status_copy.copy(Status_);
	
	Status_.MeshResized_ = false;
    }
    
// ************************************************************************************
// in_set_resolution
// ************************************************************************************
    public synchronized void in_set_resolution(float prozent)
    {
	int v_split_number_act;
	int num_vertices_act;
	int num_triangles_act;	

	v_split_number_act = (int)(Status_.NumSplitMax_*prozent);
	num_vertices_act   = Status_.NumVerticesBase_ + v_split_number_act;
	num_triangles_act  = Status_.NumTrianglesBase_ + 2*v_split_number_act;
		
	if (v_split_number_act!=Status_.NumSplitMax_)
	{
	    Status_.NumVerticesMax_  = num_vertices_act;
	    Status_.NumTrianglesMax_ = num_triangles_act;
	    Status_.NumSplitMax_     = v_split_number_act;
	    Status_.MeshResized_     = true;
	}
    }

// ************************************************************************************
// in_shading_mode
// ************************************************************************************
    public synchronized void in_shading_mode(int shading)
    {
	Status_.Shading_     = shading;
	Status_.MeshResized_ = true;	
    }
    
// ************************************************************************************
// get_shading_mode
// ************************************************************************************
    public synchronized int get_shading_mode()
    {
	return Status_.Shading_;
    }    

// ************************************************************************************
// set_info
// ************************************************************************************
    public synchronized void set_info(PM_Info info_max, Mesh_Info info_base)
    {
	Status_.NumVerticesMax_   = info_max.get_vertex_count();
	Status_.NumTrianglesMax_  = info_max.get_triangle_count();
	Status_.NumSplitMax_      = info_max.get_vertex_split_count();
	Status_.NumVerticesBase_  = info_base.get_vertex_count();
	Status_.NumTrianglesBase_ = info_base.get_triangle_count();
    }    
}
